Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.server.source
Class ModelSourceFile

    java.lang.Object
      org.joseki.server.source.ModelSourceCom
          org.joseki.server.source.ModelSourceFile

All Implemented Interfaces:
  ModelSource, ModelSourceJena

public class ModelSourceFile
extends org.joseki.server.source.ModelSourceCom

An attached model that manages a file holding the model. Files are read in and managed in a cache. Each file source has a system resource manager, the SourceManager

Version:
  $Id: ModelSourceFile.java,v 1.7 2004/04/30 14:13:14 andy_seaborne Exp $
Author:
  Andy Seaborne

Constructor Summary
`ModelSourceFile(SourceController controller, java.lang.String serverURI)`

Method Summary
`void` | `abortOperation()`
`void` | `activate()`
`void` | `deactivate()`
`void` | `endOperation()`
`void` | `flush()`
`com.hp.hpl.jena.rdf.model.Model` | `getModel()` Get the Jena model for this source.
`java.util.Map` | `getPrefixes()` Help write results neatly.
`ProcessorRegistry` | `getProcessorRegistry()`
`java.lang.String` | `getServerURI()` The way to reference this data from outside.
`boolean` | `isImmutable()`
`void` | `release()`
`void` | `setIsImmutable(boolean isFixed)`
`void` | `setPrefix(java.lang.String prefix, java.lang.String nsURI)`
`void` | `startOperation(boolean readOnly)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelSourceFile

    public ModelSourceFile(SourceController controller,
                           java.lang.String serverURI)

Method Detail

### getModel

    public com.hp.hpl.jena.rdf.model.Model getModel()

  Description copied from interface: `ModelSourceJena`
  Get the Jena model for this source.

### getPrefixes

    public java.util.Map getPrefixes()

  Description copied from interface: `ModelSource`
  Help write results neatly.

  Specified by:
    `getPrefixes` in interface `ModelSource`

### setPrefix

    public void setPrefix(java.lang.String prefix,
                          java.lang.String nsURI)

  Specified by:
    `setPrefix` in interface `ModelSource`

### startOperation

    public void startOperation(boolean readOnly)

  Specified by:
    `startOperation` in interface `ModelSource`

### endOperation

    public void endOperation()

  Specified by:
    `endOperation` in interface `ModelSource`

### abortOperation

    public void abortOperation()

  Specified by:
    `abortOperation` in interface `ModelSource`

### flush

    public void flush()

  Specified by:
    `flush` in interface `ModelSource`

### release

    public void release()

  Specified by:
    `release` in interface `ModelSource`

### isImmutable

    public boolean isImmutable()

  Specified by:
    `isImmutable` in interface `ModelSource`

### setIsImmutable

    public void setIsImmutable(boolean isFixed)

  Specified by:
    `setIsImmutable` in interface `ModelSource`

### getServerURI

    public java.lang.String getServerURI()

  Description copied from interface: `ModelSource`
  The way to reference this data from outside. This is the URL minus the protocol host part e.g. "/dir/foobar" because we can have many access points on the web for this server.

  Specified by:
    `getServerURI` in interface `ModelSource`

### getProcessorRegistry

    public ProcessorRegistry getProcessorRegistry()

  Specified by:
    `getProcessorRegistry` in interface `ModelSource`

### activate

    public void activate()

  Specified by:
    `activate` in interface `ModelSource`

### deactivate

    public void deactivate()

  Specified by:
    `deactivate` in interface `ModelSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.